{% extends "default_layout.html" %}
{% block content %}
	<img style='border-radius:64px;' width='128px' height='128px' src='/user/thumb?uid={{ user.id }}'></img>
	<h1>{{ user.username }}</h1>

	{% if user.is_banned == True %}
		<p>{% trans %}This user has been banned for{% endtrans %}: {{ user.ban_reason }}</p>
	{% else %}
		<b>{% trans %}Network Points{% endtrans %}: {{ user.net_points }}</b><br>
		<b>Followers: {{ user.followers_count }}</b><br>
		<b>Following: {{ user.following_count }}</b><br>
		
		<p>{{ user.biography }}</p>
		
		{% if u != None %}
			{% if u.id != user.id %}
				{% if u.is_following(user.id) %}
					<input type='button' class='form-btn' onclick='follow("{{ user.id }}",this);' value='Unfollow'><br>
					<a href='/user/feed_settings?uid={{ user.id }}'>Edit feed and notification settings</a>
				{% else %}
					<input type='button' class='form-btn' onclick='follow("{{ user.id }}",this);' value='Follow'>
				{% endif %}
			{% endif %}
			
			{% if user.is_show_email == True or u.id == user.id %}
				<p>{% trans %}Electronic Mail Address{% endtrans %}: {{ user.email }}</p>
			{% else %}
				<p>{% trans %}Electronic Mail Address{% endtrans %}: {% trans %}Unknown{% endtrans %}</p>
			{% endif %}
			
			{% if user.is_show_fax == True or u.id == user.id %}
				<p>{% trans %}Telefax{% endtrans %}: {{ user.fax }}</p>
			{% else %}
				<p>{% trans %}Telefax{% endtrans %}: {% trans %}Unknown{% endtrans %}</p>
			{% endif %}
			
			{% if user.is_show_phone == True or u.id == user.id %}
				<p>{% trans %}Telephone{% endtrans %}: {{ user.phone }}</p>
			{% else %}
				<p>{% trans %}Telephone{% endtrans %}: {% trans %}Unknown{% endtrans %}</p>
			{% endif %}
			
			{% if u.id == user.id %}
				<a href='/user/edit?uid={{ user.id }}'>{% trans %}Edit details{% endtrans %}</a>
			{% endif %}
		{% endif %}
	{% endif %}
{% endblock %}
